#[cfg(feature = "pokemmo")]
pub mod pokemmo{
    use screenshots::Compression;
    use crate::pokemmo::const_value::pokemmo_const_value::LOGO;
    use crate::screen::screen::screen::{screen_shot};
    use image::io::Reader as ImageReader;




    pub(crate) fn check_screen_active() -> bool{

        let logo_image = screen_shot(Some(LOGO));
        let data= logo_image.to_png(Some(Compression::Default)).expect("image to png failed");

        let active_logo = ImageReader::open("./resources/pokemmo/image/logo_active.png").expect("read active logo image failed").decode().expect("decode image failed");
        let active_logo_data = active_logo.as_bytes().to_vec();

        let size = data.len();
        let mut dis = 0_isize;
        for i in 0 .. size{
            dis += active_logo_data[i].clone() as isize - data[i].clone() as isize;
        }
        println!("dis : {}",dis);

        return dis <= 5000;


    }




}